E-MailRelay

Classes | Namespaces | Functions
gdatetime.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include <chrono>`
`#include <vector>`
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | G::BrokenDownTime
| An encapsulation of 'struct std::tm'. More...
class | G::SystemTime
| Represents a unix-epoch time with microsecond resolution. More...
class | G::TimerTime
| A monotonically increasing subsecond-resolution timestamp, notionally unrelated to time_t. More...
class | G::TimeInterval
| An interval between two G::SystemTime values or two G::TimerTime values. More...
class | G::DateTime
| A static class that knows about timezone offsets. More...

## Namespaces
namespace | G
| Low-level classes.

## Functions
std::ostream & | G::operator<< (std::ostream &, const SystemTime &)
std::ostream & | G::operator<< (std::ostream &, const TimeInterval &)